services:
  sftpgo:
    image: drakkan/sftpgo:v2.7.0-alpine
    container_name: ${CONTAINER_NAME}
    networks:
      - opsmind-network
    ports:
      - ${PANEL_APP_PORT_HTTP}:8080
      - ${PANEL_APP_PORT_SFTP}:${PANEL_APP_PORT_SFTP}
      - ${PANEL_APP_PORT_FTP}:${PANEL_APP_PORT_FTP}
      - ${PASSIVE_PORT_RANGE_START}-${PASSIVE_PORT_RANGE_END}:${PASSIVE_PORT_RANGE_START}-${PASSIVE_PORT_RANGE_END}
      - ${PANEL_APP_PORT_WEBDAV}:${PANEL_APP_PORT_WEBDAV}
    environment:
      SFTPGO_FTPD__BINDINGS__0__PORT: ${PANEL_APP_PORT_FTP}
      SFTPGO_WEBDAVD__BINDINGS__0__PORT: ${PANEL_APP_PORT_WEBDAV}
      SFTPGO_SFTPD__BINDINGS__0__PORT: ${PANEL_APP_PORT_SFTP}
      SFTPGO_FTPD__BINDINGS__0__FORCE_PASSIVE_IP: ${FTP_EXTERNAL_IP}
      SFTPGO_FTPD__PASSIVE_PORT_RANGE__START: ${PASSIVE_PORT_RANGE_START}
      SFTPGO_FTPD__PASSIVE_PORT_RANGE__END: ${PASSIVE_PORT_RANGE_END}
    volumes:
      - ./data/data:/srv/sftpgo
      - ./data/config:/var/lib/sftpgo
    labels:
      createdBy: "Apps"
networks:
  opsmind-network:
    external: true